Subject: elf login

From: Peter Danielsson <[email-masked]>
Date: Fri, 12 Mar 1999 07:47:01 +0000

I've been trying to set up an ELF-only system for my platform
(sa1100-based) but there have been a few problems. The toolchain
(cross compiling from intel) seems to work OK, I have succesfully 
built and installed glibc. Most things build fine, some after a 
few tweaks. I have almost a complete system that works (init, bash, 
standard utilities etc) but I cannot seem to get login to work.

I wrote a small test application that tries to read one entry from
the passwdfile (using getpwnam("root")) but it fails(returns NULL).
The extisting a.out login works fine which makes me believe there 
is a bug in glibc. Is this the case, or am I plain stupid and forgets
something?

/Peter
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]